> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects (Passthrough)

> List projects accessible via the connected vendor account. Response fields and pagination semantics vary by vendor (e.g., for Jira: `vendor_id` is the project key such as `PROJ`).



## OpenAPI

````yaml get /itsm/passthrough/projects
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/passthrough/projects:
    get:
      tags:
        - ITSM
        - Passthrough
      summary: List Projects (Passthrough)
      description: >-
        List projects accessible via the connected vendor account. Response
        fields and pagination semantics vary by vendor (e.g., for Jira:
        `vendor_id` is the project key such as `PROJ`).
      operationId: passthrough_list_projects
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_PassthroughProject_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Too Many Requests
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_PassthroughProject_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/PassthroughProject'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[PassthroughProject]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PassthroughProject:
      properties:
        vendor_id:
          type: string
          title: Vendor Id
          description: Vendor's project identifier (e.g., Jira project key)
        name:
          type: string
          title: Name
          description: Project name
        project_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Type
          description: Vendor project type
        issue_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/PassthroughIssueType'
              type: array
            - type: 'null'
          title: Issue Types
          description: Issue types available in this project
      type: object
      required:
        - vendor_id
        - name
      title: PassthroughProject
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PassthroughIssueType:
      properties:
        vendor_id:
          type: string
          title: Vendor Id
          description: Vendor's issue type identifier
        name:
          type: string
          title: Name
          description: Issue type name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        subtask:
          type: boolean
          title: Subtask
          default: false
        icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon Url
      type: object
      required:
        - vendor_id
        - name
      title: PassthroughIssueType
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````